import { BaseItem } from './base-item';
export declare class SelectorItem extends BaseItem {
    private items;
    private listContainer;
    private fieldSet;
    private label;
    private entries;
    private currentValue;
    constructor(id: string, title: string, items: SelectorEntry[]);
    getDOMNode(): HTMLElement;
    private buildEntries;
    private onItemFocus;
    getContents(): any;
    private onSelectItem;
    private onChangeItem;
    focus(): void;
}
export interface SelectorEntry {
    id: string;
    title: string;
}
